Bug 845805 - (rubygem-ttfunk) Review Request: rubygem-ttfunk - Font Metrics Parser for Prawn
Review Request: rubygem-ttfunk - Font Metrics Parser for Prawn
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-05 04:05 EDT by Miroslav Suchý
Modified: 2012-09-17 20:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-24 22:56:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bkabrda: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2012-08-05 04:05:24 EDT
Spec URL: http://miroslav.suchy.cz/fedora/rubygem-ttfunk/rubygem-ttfunk.spec
SRPM URL: http://miroslav.suchy.cz/fedora/rubygem-ttfunk/rubygem-ttfunk-1.0.3-1.fc17.src.rpm
Description: TTFunk is a TrueType font parser written in pure ruby.
Fedora Account System Username: msuchy

rpmlint output:
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Subset/MacRoman/covers%3f-i.ri %3f
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Table/Post/fixed_pitch%3f-i.ri %3f
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Encoding/Windows1252/covers%3f-c.ri %3f
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Table/Cmap/Format04/supported%3f-i.ri %3f
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Subset/Windows1252/includes%3f-i.ri %3f
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Table/Cmap/Format00/supported%3f-i.ri %3f
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Subset/Unicode8Bit/includes%3f-i.ri %3f
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Subset/Base/unicode%3f-i.ri %3f
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/SubsetCollection/%5b%5d-i.ri %5b
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/SubsetCollection/%5b%5d-i.ri %5d
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Table/Kern/Format0/vertical%3f-i.ri %3f
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Table/Cmap/Subtable/supported%3f-i.ri %3f
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Table/Kern/Format0/cross_stream%3f-i.ri %3f
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/ResourceFile/%5b%5d-i.ri %5b
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/ResourceFile/%5b%5d-i.ri %5d
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Subset/Unicode8Bit/covers%3f-i.ri %3f
rubygem-ttfunk.noarch: E: incorrect-fsf-address /usr/share/gems/gems/ttfunk-1.0.3/GPLv2
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Table/Glyf/Compound/compound%3f-i.ri %3f
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Table/Cmap/Subtable/%5b%5d-i.ri %5b
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Table/Cmap/Subtable/%5b%5d-i.ri %5d
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Table/Cmap/Format00/%5b%5d-i.ri %5b
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Table/Cmap/Format00/%5b%5d-i.ri %5d
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Encoding/MacRoman/covers%3f-c.ri %3f
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Table/Glyf/Simple/compound%3f-i.ri %3f
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Table/exists%3f-i.ri %3f
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Table/Kern/Format0/horizontal%3f-i.ri %3f
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Subset/Unicode/covers%3f-i.ri %3f
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Subset/Windows1252/covers%3f-i.ri %3f
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Subset/Unicode/unicode%3f-i.ri %3f
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Subset/MacRoman/includes%3f-i.ri %3f
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Table/Cmap/Subtable/unicode%3f-i.ri %3f
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Subset/Unicode/includes%3f-i.ri %3f
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Subset/Unicode8Bit/unicode%3f-i.ri %3f
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Table/Cmap/Format04/%5b%5d-i.ri %5b
rubygem-ttfunk.noarch: W: unexpanded-macro /usr/share/gems/doc/ttfunk-1.0.3/ri/TTFunk/Table/Cmap/Format04/%5b%5d-i.ri %5d
2 packages and 0 specfiles checked; 1 errors, 35 warnings.

issue with address in GPLv2 file is addressed here:
https://github.com/prawnpdf/ttfunk/issues/8

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4360169
Comment 2 Bohuslav "Slavek" Kabrda 2012-08-15 06:18:16 EDT
I'll take it for a review.
Comment 3 Bohuslav "Slavek" Kabrda 2012-08-15 06:36:53 EDT
- Is there any benefit of moving the various doc files in %install section? The optimal solution, I think, is to leave them in %{gem_instdir} and mark them as %doc there.
- Also, please only leave files related to licensing (COPYING, GPLv2, GPLv3, LICENSE) in the main package and move the others to the -doc subpackage.
- It is customary to exclude cached gem in the RPM packaged gems, please do so.
- %{gem_docdir} should be marked as %doc.

Otherwise the package looks good, so please fix these and post updated SPEC/SRPM so I can take one more look and approve it.
Comment 4 Miroslav Suchý 2012-08-16 07:16:42 EDT
> - Is there any benefit of moving the various doc files in %install section? The
> optimal solution, I think, is to leave them in %{gem_instdir} and mark them as
> %doc there.

It is good habbit on every other package but rubygems. Location is not mandated by guidelines. I already opened discussion about it on packaging mailing lists.

> Also, please only leave files related to licensing (COPYING, GPLv2, GPLv3,
> LICENSE) in the main package and move the others to the -doc subpackage.

So you mean just copy README.rdoc, to -doc package? ok.

> It is customary to exclude cached gem in the RPM packaged gems, please do so.

done

> %{gem_docdir} should be marked as %doc.

done

Spec URL: http://miroslav.suchy.cz/fedora/rubygem-ttfunk/rubygem-ttfunk.spec
SRPM URL: http://miroslav.suchy.cz/fedora/rubygem-ttfunk/rubygem-ttfunk-1.0.3-3.fc17.src.rpm
Comment 5 Bohuslav "Slavek" Kabrda 2012-08-16 07:39:01 EDT
(In reply to comment #4)
> > - Is there any benefit of moving the various doc files in %install section? The
> > optimal solution, I think, is to leave them in %{gem_instdir} and mark them as
> > %doc there.
> 
> It is good habbit on every other package but rubygems. Location is not
> mandated by guidelines. I already opened discussion about it on packaging
> mailing lists.
> 

I don't see any such discussion, would you care to post a link here?

> > Also, please only leave files related to licensing (COPYING, GPLv2, GPLv3,
> > LICENSE) in the main package and move the others to the -doc subpackage.
> 
> So you mean just copy README.rdoc, to -doc package? ok.
> 

I also meant CHANGELOG :) Please move that before importing to dist-git, too.

> > It is customary to exclude cached gem in the RPM packaged gems, please do so.
> 
> done
> 
> > %{gem_docdir} should be marked as %doc.
> 
> done
> 
> Spec URL: http://miroslav.suchy.cz/fedora/rubygem-ttfunk/rubygem-ttfunk.spec
> SRPM URL:
> http://miroslav.suchy.cz/fedora/rubygem-ttfunk/rubygem-ttfunk-1.0.3-3.fc17.
> src.rpm


The package looks good now. Please move the CHANGELOG file to -doc subpackage, as mentioned above, before importing to dist-git. This package is APPROVED.
Comment 6 Miroslav Suchý 2012-08-16 08:59:06 EDT
> I don't see any such discussion, would you care to post a link here?

http://lists.fedoraproject.org/pipermail/packaging/2012-August/008598.html

> I also meant CHANGELOG :) Please move that before importing to dist-git, too.

Will do.
Comment 7 Miroslav Suchý 2012-08-16 09:00:31 EDT
New Package SCM Request
=======================
Package Name: rubygem-ttfunk
Short Description: Font Metrics Parser for Prawn
Owners: msuchy
Branches: F-18, F-17, F-16, EL-6
InitialCC:
Comment 8 Gwyn Ciesla 2012-08-16 09:13:33 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-08-16 09:40:35 EDT
rubygem-ttfunk-1.0.3-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rubygem-ttfunk-1.0.3-4.fc18
Comment 10 Fedora Update System 2012-08-16 09:43:00 EDT
rubygem-ttfunk-1.0.3-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rubygem-ttfunk-1.0.3-4.fc16
Comment 11 Fedora Update System 2012-08-16 09:43:56 EDT
rubygem-ttfunk-1.0.3-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rubygem-ttfunk-1.0.3-4.fc17
Comment 12 Fedora Update System 2012-08-16 09:44:36 EDT
rubygem-ttfunk-1.0.3-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rubygem-ttfunk-1.0.3-4.el6
Comment 13 Fedora Update System 2012-08-16 12:53:27 EDT
rubygem-ttfunk-1.0.3-4.fc18 has been pushed to the Fedora 18 testing repository.
Comment 14 Fedora Update System 2012-08-24 22:56:01 EDT
rubygem-ttfunk-1.0.3-4.fc17 has been pushed to the Fedora 17 stable repository.
Comment 15 Fedora Update System 2012-08-24 23:03:42 EDT
rubygem-ttfunk-1.0.3-4.fc16 has been pushed to the Fedora 16 stable repository.
Comment 16 Fedora Update System 2012-08-31 14:34:01 EDT
rubygem-ttfunk-1.0.3-4.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 17 Fedora Update System 2012-09-17 20:02:49 EDT
rubygem-ttfunk-1.0.3-4.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.